# Aprende Material-UI

<p class="description">¿Nuevo en Material-UI? ¡Es fácil de aprender si sabes por dónde empezar! Esta guía te ayudará a comenzar rápidamente.</p>

Como cualquier tecnología desconocida, Material-UI tiene su curva de aprendizaje. Whether you prefer a more theoretical or practical approach, we hope you'll find this section helpful. Como cualquier tecnología desconocida, Material-UI tiene su curva de aprendizaje. Con la práctica y un poco de paciencia, pronto la dominarás.

## First example

La [página de práctica](/getting-started/usage/#quick-start) contiene un pequeño ejemplo de Material-UI con un editor en vivo. Even if you don't know anything about Material-UI yet, try changing the code and see how it affects the result.

## Example projects

Hay [algunos proyectos](/getting-started/example-projects/) disponibles, proporcionando la infraestructura necesaria para desarrollar y desplegar sitios web en React.

## Plantillas

Tenemos una selección de [ diseños de página básicos ](/getting-started/templates/) para ayudarte a comenzar a construir tu aplicación.

## Recursos recomendados

Cuando comienzas a aprender Material-UI, puedes encontrar publicaciones en blogs, libros y cursos en video de terceros más útiles que la documentación oficial. Here are some recommended resources, some of which are free.

### Gratis

- **Introduction to Material-UI**: a series of videos covering all the important Material-UI components.
  - 📹 [ Los vídeos ](https://www.youtube.com/watch?v=pHclLuRolzE&list=PLQg6GaokU5CwiVmsZ0d_9Zsg_DnIP_xwr)
- **Customize Material-UI for your project**: a look at how you can customize Material-UI to align with your company identity (design system) and products
  - 📹 [ Los vídeos ](https://www.youtube.com/watch?v=bDkB3LoQKxs)
- **Meet Material-UI — your new favorite user interface library**: a blog post that guides you in building a Todo MVC while covering some important concepts of Material-UI.
  - 📝 [ La publicación en el blog ](https://medium.freecodecamp.org/meet-your-material-ui-your-new-favorite-user-interface-library-6349a1c88a8c)
- ** Aprende React y Material-UI **: una serie de videos que cubren todos los componentes importantes de Material-UI.
  - 📹 [ Los vídeos ](https://www.youtube.com/watch?v=xm4LX5fJKZ8&list=PLcCp4mjO-z98WAu4sd0eVha1g-NMfzHZk)
- ** Comenzando Material-UI para React **: una publicación de blog que te guía en la construcción de una lista de tarjetas simple.
  - 📝 [ La publicación en el blog ](https://medium.com/codingthesmartway-com-blog/getting-started-with-material-ui-for-react-material-design-for-react-364b2688b555)
  - 📹 [El vídeo](https://www.youtube.com/watch?v=PWadEeOuv5o)
- **Elegant UX in React with Material-UI**: a blog post covering some important Material-UI concepts.
  - 📝 [ La publicación en el blog ](https://alligator.io/react/material-ui/)

### De Pago

- **Implement high fidelity designs**: Bridge the gap between Design & Development. Break down detailed designs and bring them to life with Material-UI and React.

  - 💻 [The Course](https://click.linksynergy.com/deeplink?id=IVuPfk1F/Ow&mid=39197&murl=https%3A%2F%2Fwww.udemy.com%2Fcourse%2Fimplement-high-fidelity-designs-with-material-ui-and-reactjs%2F)

- **Apply Google Material Design**: This course teaches the fundamentals of Google Material Design and how to develop an end-to-end flight search and booking application using Material-UI and React.

  - 📹 [Watch Course Trailer](https://www.youtube.com/watch?v=hhZ6yFvCWho)
  - 💻 [The Course](https://bonsaiilabs.com/courseDetail/material-ui-with-react)

- **Cookbook**: Build modern-day applications by implementing Material Design principles in React, using Material-UI.
  - https://builderbook.org/book

[![cookbook](/static/blog/material-ui-v4-is-out/cookbook.png)](https://www.amazon.com/gp/product/1789615224/)

- **Builder Book**: Learn how to build a full-stack JavaScript and SaaS web application from scratch, using a Modern JavaScript stack and Material-UI.
  - [El Libro](https://builderbook.org/)
